Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	KDE GUI frontend for clamav antivirus
Name:      	klamav
Version:   	0.44
Release:   	1
License: 	GNU/GPL
URL:		http://klamav.sourceforge.net/
Group:     	System/Security
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.42-clamav-0.93.patch
Patch1:		%{name}-0.42-gcc4.patch
Patch2:		%{name}-0.42-pwd-echo.patch
Patch3:		%{name}-db-directory.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  kdelibs3-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  clamav-devel
BuildRequires:  gamin-devel
BuildRequires:  libidn-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pcre-devel
BuildRequires:  libpng-devel
BuildRequires:  qt3-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel 
BuildRequires:	gmp-devel
Buildconflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
KlamAV is an anti-virus manager for KDE using ClamAV.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n %{name}-%{version}

#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
--with-qt-dir=/usr/lib/qt-3.3 \
--disable-debug \
--disable-dependency-tracking \
--enable-final
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 0.44-1
- Version update
- rebuild against kdelibs3 , kdebase3 renamed packages
* Fri Apr 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.42-1
- Version update
* Sat Mar 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.40-2
- rebuilt against clamav 0.90.1
* Fri Feb 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.40-1
- Initial Release
